#include <stdio.h>
#include <stdlib.h>
typedef int (*func) ();

int main()
{
#define N (10)
    static int ary1[N];
    static int ary2[N * 2];
    static int i;
    int a(int i) {
	{
	    return ary1[i];
	}
    }
    int b(int i) {
	{
	    return ary2[i];
	}
    }
    {
	for (i = 0; i < N; i = i + 1) { {
		ary1[i] = i;
		ary2[i] = N - i;
		ary2[i * 2] = i;
	}
	}
	printf("%d ", a(7));
	printf("%d ", b(3));
	printf("%d ", b(2 * 7));
	printf("\n");
    }
}
